### Method

# GLib Date compare

#### Declaration

    gint
    g_date_compare (
      const GDate* lhs,
      const GDate* rhs
    )

#### Description

Qsort()-style comparison function for dates. Both dates must be valid.

#### Parameters

`rhs`

  Type: `GDate`

  Second date to compare.

  The data is owned by the caller of the method.

#### Return value

Type: `gint`

0 for equal, less than zero if `lhs` is less than `rhs`, greater than zero if `lhs` is greater than `rhs`.